System 2.0.0.0 4.0.0.0 System.Enum

The control delegates the actual responsibility for parsing the input characters to the class. Many of the methods of , in addition to returning a success result, also provide an additional output parameter of type . This enumeration provides additional information about the operation of the method.

The method can be used to convert a value into a success value.

Specifies values that succinctly describe the results of a masked text parsing operation.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed.An input character was encountered that was not alphanumeric. .

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed.An input character was encountered that was not a member of the ASCII character set.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Success. The operation succeeded because a literal, prompt or space character was an escaped character. For more information about escaped characters, see the method.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. An input character was encountered that was not a digit.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. The program encountered an input character that was not valid. For more information about characters that are not valid, see the method.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. An input character was encountered that was not a letter.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Success. The primary operation was not performed because it was not needed; therefore, no side effect was produced.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. The current position in the formatted string is a literal character.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. The specified position is not in the range of the target string; typically it is either less than zero or greater then the length of the target string.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. The prompt character is not valid at input, perhaps because the property is set to false.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Success. The primary operation was not performed because it was not needed, but the method produced a side effect. For example, the method can delete an unassigned edit position, which causes left-shifting of subsequent characters in the formatted string.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. An input character was encountered that was not a signed digit.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Success. The primary operation succeeded.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Operation did not succeed. There were not enough edit positions available to fulfill the request.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MaskedTextResultHint

  Unknown. The result of the operation could not be determined.